#!/bin/bash
#
# Create a .desktop-file for tmw-on xterm wrapper
#
# Nothing to edit here - just execute this file in
# a terminal to create a .desktop-file that you
# can copy to your desktop or anything else...
# 
# U only have to use this file if u plan to use
# the buddy list in xterm
#
# please set appFixedSize to "20" in tmw-on.sh
# for correct output

path=$(pwd)

echo -en "[Desktop Entry]\nComment[de]=\nComment=
Exec=xterm +sb -T \"TMW Online\" -geometry 20x15 -e \"$path/tmw-on-xterm.sh\"
GenericName=Shows your current online Buddys in TMW
Icon=$path/tmw-on.png\nMimeType=\nName=TMW Online\nPath=$path
StartupNotify=true\nTerminal=false
TerminalOptions=\nType=Application
X-DBUS-ServiceName=\nX-DBUS-StartupType=
X-KDE-SubstituteUID=false\nX-KDE-Username=" > tmw-on.desktop 
